LibreOffice: XComboBox Interface Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XComboBox Interface Referencepublished

gives access to the items of a combo box and makes it possible to register item and action event listeners. More...

`import"XComboBox.idl";`

Inheritance diagram for XComboBox:

## Public Member Functions
void | addItemListener ([in] com::sun::star::awt::XItemListener l)
| registers a listener for item events. More...
void | removeItemListener ([in] com::sun::star::awt::XItemListener l)
| unregisters a listener for item events. More...
void | addActionListener ([in] com::sun::star::awt::XActionListener l)
| registers a listener for action events. More...
void | removeActionListener ([in] com::sun::star::awt::XActionListener l)
| unregisters a listener for action events. More...
void | addItem ([in] string aItem, [in] short nPos)
| adds an item at the specified position. More...
void | addItems ([in] sequence< string > aItems, [in] short nPos)
| adds multiple items at the specified position. More...
void | removeItems ([in] short nPos, [in] short nCount)
| removes a number of items at the specified position. More...
short | getItemCount ()
| returns the number of items in the combo box. More...
string | getItem ([in] short nPos)
| returns the item at the specified position. More...
sequence< string > | getItems ()
| returns all items of the combo box. More...
short | getDropDownLineCount ()
| returns the number of visible lines in the drop down mode. More...
void | setDropDownLineCount ([in] short nLines)
| sets the number of visible lines for drop down mode. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the items of a combo box and makes it possible to register item and action event listeners.

## Member Function Documentation

void addActionListener | ( | [in] com::sun::star::awt::XActionListener | l | ) |

registers a listener for action events.

void addItem | ( | [in] string | aItem,
|  | [in] short | nPos
| ) |  |

adds an item at the specified position.

void addItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

registers a listener for item events.

void addItems | ( | [in] sequence< string > | aItems,
|  | [in] short | nPos
| ) |  |

adds multiple items at the specified position.

short getDropDownLineCount | ( |  | ) |

returns the number of visible lines in the drop down mode.

string getItem | ( | [in] short | nPos | ) |

returns the item at the specified position.

short getItemCount | ( |  | ) |

returns the number of items in the combo box.

sequence<string> getItems | ( |  | ) |

returns all items of the combo box.

void removeActionListener | ( | [in] com::sun::star::awt::XActionListener | l | ) |

unregisters a listener for action events.

void removeItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

unregisters a listener for item events.

void removeItems | ( | [in] short | nPos,
|  | [in] short | nCount
| ) |  |

removes a number of items at the specified position.

void setDropDownLineCount | ( | [in] short | nLines | ) |

sets the number of visible lines for drop down mode.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XComboBox.idl